count: 2
next: null
previous: null
results:
- authors:
  - Chuhila Y.J.
  - Chacha M.J.
  - Kasigwa P.F.
  - Chibwana F.D.
  doi: ''
  expert_db: false
  pub_id: '1282566'
  publication: Unpublished.
  pubmed_id: ''
  title: Genetic Structure, Integrity and demographic History of Native Oreochromis
    and their syntopic allies inferred by mtDNA D-loop in Pangani Catchment, Northern
    Tanzania
- authors:
  - Chuhila Y.J.
  - Chacha M.J.
  - Chibwana F.D.
  doi: ''
  expert_db: false
  pub_id: '1276410'
  publication: Submitted (14-AUG-2022) to the INSDC. Zoology and Wildlife Conservation,
    University of Dar es salaam, P.O. Box 35064, Dar es salaam, Dar-Es-Salaam Tanzania,
    Tanzania
  pubmed_id: ''
  title: INSDC submission
